# fann_run

(PECL fann >= 1.0.0)

fann_run — Will run input through the neural network

### Description

fann_run ( resource `$ann` , array `$input` ) : array

Will run input through the neural network, returning an array of outputs, the number of which being equal to the number of neurons in the output layer.

### Parameters

`ann`

  Neural network resource.

`input`

  Array of input values

### Return Values

Array of output values, or `FALSE` on error